FreeMat

- Main Page
- Related Pages

vtkSpherePuzzleArrows

Section: Visualization Toolkit Graphics Classes

# Usage

vtkSpherePuzzleArrows creates

To create an instance of class vtkSpherePuzzleArrows, simply invoke its constructor as follows

      obj = vtkSpherePuzzleArrows

# Methods

The class vtkSpherePuzzleArrows has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSpherePuzzleArrows class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSpherePuzzleArrows = obj.NewInstance ()`
- `vtkSpherePuzzleArrows = obj.SafeDownCast (vtkObject o)`
- `obj.SetPermutation (int [32])` - Permutation is an array of puzzle piece ids. Arrows will be generated for any id that does not contain itself. Permutation[3] = 3 will produce no arrow. Permutation[3] = 10 will draw an arrow from location 3 to 10.
- `int = obj. GetPermutation ()` - Permutation is an array of puzzle piece ids. Arrows will be generated for any id that does not contain itself. Permutation[3] = 3 will produce no arrow. Permutation[3] = 10 will draw an arrow from location 3 to 10.
- `obj.SetPermutationComponent (int comp, int val)` - Permutation is an array of puzzle piece ids. Arrows will be generated for any id that does not contain itself. Permutation[3] = 3 will produce no arrow. Permutation[3] = 10 will draw an arrow from location 3 to 10.
- `obj.SetPermutation (vtkSpherePuzzle puz)` - Permutation is an array of puzzle piece ids. Arrows will be generated for any id that does not contain itself. Permutation[3] = 3 will produce no arrow. Permutation[3] = 10 will draw an arrow from location 3 to 10.